Bug 481396 - Root-NFS: Server returned error -5 while mounting
Root-NFS: Server returned error -5 while mounting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 20:21 EST by Marcel Ziswiler
Modified: 2009-06-16 20:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 20:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
wireshark traces of good (e.g. nfs-utils-1.1.4-1.fc10) vs. bad (e.g. nfs-utils-1.1.4-6.fc10) case (99.22 KB, application/x-bzip2)
2009-01-23 20:23 EST, Marcel Ziswiler
no flags Details

  None (edit)
Description Marcel Ziswiler 2009-01-23 20:21:05 EST
Description of problem:

I noticed recent update of nfs-utils 1.1.4-6.fc10 to fail NFS mounting its root file system on my embedded Linux target from my Fedora 10 NFS server. Downgrading to nfs-utils 1.1.4-1.fc10 made it work again.

Version-Release number of selected component (if applicable):
nfs-utils-1.1.4-6.fc10.x86_64.rpm

How reproducible:
Existing running NFS setup to boot embedded Linux target. Upgrading nfs-utils makes it fail.

Steps to Reproduce:
1. Existing running NFS setup to boot embedded Linux target
2. Upgrade nfs-utils from 1.1.4-1.fc10 to 1.1.4-6.fc10
3. Mounting root file system on embedded target now fails
  
Actual results:
Root-NFS: Server returned error -5 while mounting

Expected results:
VFS: Mounted root (nfs filesystem).

Additional info:
I of course did try to re-install nfs-utils-1.1.4-6.fc10 after having it gotten to work again by downgrading to nfs-utils-1.1.4-1.fc10 which immediately made it brake again. So there is absolutely no doubt in nfs-utils-1.1.4-6.fc10 introducing the issue!
I attached wireshark traces of good (e.g. nfs-utils-1.1.4-1.fc10) vs. bad (e.g. nfs-utils-1.1.4-6.fc10) case.
Comment 1 Marcel Ziswiler 2009-01-23 20:23:17 EST
Created attachment 329893 [details]
wireshark traces of good (e.g. nfs-utils-1.1.4-1.fc10) vs. bad (e.g. nfs-utils-1.1.4-6.fc10) case
Comment 2 Marcel Ziswiler 2009-01-25 16:27:13 EST
Unfortunately nfs-utils-1.1.4-7.fc10.x86_64 still shows bad behaviour.
Comment 3 Steve Dickson 2009-03-05 06:42:11 EST
There is absolutely no difference (that I can see) between the mount
in the 'nfs-good' trace and the 'nfs-bad' trace.... 

What do the exports look like?
Comment 4 Steve Dickson 2009-06-11 10:54:50 EDT
Is there still happening with the nfs-utils-1.1.5 release?
Comment 5 Marcel Ziswiler 2009-06-16 17:06:49 EDT
Nope, it works fine again. Will soon try how it goes in F11.
Comment 6 Steve Dickson 2009-06-16 20:45:27 EDT
Ok... I'm going to close this bug...

Note You need to log in before you can comment on or make changes to this bug.